diff --git a/maps/BlackthornDodrioTradeHouse.blk b/maps/BlackthornDodrioTradeHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/BlackthornDodrioTradeHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/BlackthornDragonSpeechHouse.blk b/maps/BlackthornDragonSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/BlackthornDragonSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/BlackthornMart.blk b/maps/BlackthornMart.blk
deleted file mode 100644
index 31e7e807c..000000000
--- a/maps/BlackthornMart.blk
+++ /dev/null
@@ -1 +0,0 @@
-'+"++++)(+*+++#
\ No newline at end of file
diff --git a/maps/BlackthornPokeCenter1F.blk b/maps/BlackthornPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/BlackthornPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/BluesHouse.blk b/maps/BluesHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/BluesHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/CeladonMansionRoofHouse.blk b/maps/CeladonMansionRoofHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/CeladonMansionRoofHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/CeladonPokeCenter1F.blk b/maps/CeladonPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/CeladonPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/CeladonPokeCenter2FBeta.blk b/maps/CeladonPokeCenter2FBeta.blk
deleted file mode 100644
index 968f746e6..000000000
--- a/maps/CeladonPokeCenter2FBeta.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-1+
-28(8-)-)
\ No newline at end of file
diff --git a/maps/CeruleanGymBadgeSpeechHouse.blk b/maps/CeruleanGymBadgeSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/CeruleanGymBadgeSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/CeruleanMart.blk b/maps/CeruleanMart.blk
deleted file mode 100644
index 31e7e807c..000000000
--- a/maps/CeruleanMart.blk
+++ /dev/null
@@ -1 +0,0 @@
-'+"++++)(+*+++#
\ No newline at end of file
diff --git a/maps/CeruleanPokeCenter1F.blk b/maps/CeruleanPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/CeruleanPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/CeruleanPokeCenter2FBeta.blk b/maps/CeruleanPokeCenter2FBeta.blk
deleted file mode 100644
index 968f746e6..000000000
--- a/maps/CeruleanPokeCenter2FBeta.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-1+
-28(8-)-)
\ No newline at end of file
diff --git a/maps/CeruleanPoliceStation.blk b/maps/CeruleanPoliceStation.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/CeruleanPoliceStation.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/CeruleanTradeSpeechHouse.blk b/maps/CeruleanTradeSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/CeruleanTradeSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/CharcoalKiln.blk b/maps/CharcoalKiln.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/CharcoalKiln.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/CherrygroveEvolutionSpeechHouse.blk b/maps/CherrygroveEvolutionSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/CherrygroveEvolutionSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/CherrygroveGymSpeechHouse.blk b/maps/CherrygroveGymSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/CherrygroveGymSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/CherrygroveMart.blk b/maps/CherrygroveMart.blk
deleted file mode 100644
index 31e7e807c..000000000
--- a/maps/CherrygroveMart.blk
+++ /dev/null
@@ -1 +0,0 @@
-'+"++++)(+*+++#
\ No newline at end of file
diff --git a/maps/CherrygrovePokeCenter1F.blk b/maps/CherrygrovePokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/CherrygrovePokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/CianwoodCityPhotoStudio.blk b/maps/CianwoodCityPhotoStudio.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/CianwoodCityPhotoStudio.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/CianwoodLugiaSpeechHouse.blk b/maps/CianwoodLugiaSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/CianwoodLugiaSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/CianwoodPharmacy.blk b/maps/CianwoodPharmacy.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/CianwoodPharmacy.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/CianwoodPokeCenter1F.blk b/maps/CianwoodPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/CianwoodPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/CinnabarPokeCenter1F.blk b/maps/CinnabarPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/CinnabarPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/CinnabarPokeCenter2FBeta.blk b/maps/CinnabarPokeCenter2FBeta.blk
deleted file mode 100644
index 968f746e6..000000000
--- a/maps/CinnabarPokeCenter2FBeta.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-1+
-28(8-)-)
\ No newline at end of file
diff --git a/maps/CeladonDeptStore1F.blk b/maps/DeptStore1F.blk
similarity index 100%
rename from maps/CeladonDeptStore1F.blk
rename to maps/DeptStore1F.blk
diff --git a/maps/CeladonDeptStore2F.blk b/maps/DeptStore2F.blk
similarity index 100%
rename from maps/CeladonDeptStore2F.blk
rename to maps/DeptStore2F.blk
diff --git a/maps/CeladonDeptStore3F.blk b/maps/DeptStore3F.blk
similarity index 100%
rename from maps/CeladonDeptStore3F.blk
rename to maps/DeptStore3F.blk
diff --git a/maps/CeladonDeptStore4F.blk b/maps/DeptStore4F.blk
similarity index 100%
rename from maps/CeladonDeptStore4F.blk
rename to maps/DeptStore4F.blk
diff --git a/maps/CeladonDeptStore5F.blk b/maps/DeptStore5F.blk
similarity index 100%
rename from maps/CeladonDeptStore5F.blk
rename to maps/DeptStore5F.blk
diff --git a/maps/CeladonDeptStore6F.blk b/maps/DeptStore6F.blk
similarity index 100%
rename from maps/CeladonDeptStore6F.blk
rename to maps/DeptStore6F.blk
diff --git a/maps/CeladonDeptStoreElevator.blk b/maps/DeptStoreElevator.blk
similarity index 100%
rename from maps/CeladonDeptStoreElevator.blk
rename to maps/DeptStoreElevator.blk
diff --git a/maps/IlexForestAzaleaGate.blk b/maps/EastWestGate.blk
similarity index 100%
rename from maps/IlexForestAzaleaGate.blk
rename to maps/EastWestGate.blk
diff --git a/maps/EcruteakLugiaSpeechHouse.blk b/maps/EcruteakLugiaSpeechHouse.blk
deleted file mode 100644
index 217cc86c0..000000000
--- a/maps/EcruteakLugiaSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-)*
\ No newline at end of file
diff --git a/maps/EcruteakMart.blk b/maps/EcruteakMart.blk
deleted file mode 100644
index 31e7e807c..000000000
--- a/maps/EcruteakMart.blk
+++ /dev/null
@@ -1 +0,0 @@
-'+"++++)(+*+++#
\ No newline at end of file
diff --git a/maps/EcruteakPokeCenter1F.blk b/maps/EcruteakPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/EcruteakPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/FuchsiaBillSpeechHouse.blk b/maps/FuchsiaBillSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/FuchsiaBillSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/FuchsiaMart.blk b/maps/FuchsiaMart.blk
deleted file mode 100644
index 31e7e807c..000000000
--- a/maps/FuchsiaMart.blk
+++ /dev/null
@@ -1 +0,0 @@
-'+"++++)(+*+++#
\ No newline at end of file
diff --git a/maps/FuchsiaPokeCenter1F.blk b/maps/FuchsiaPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/FuchsiaPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/FuchsiaPokeCenter2FBeta.blk b/maps/FuchsiaPokeCenter2FBeta.blk
deleted file mode 100644
index 968f746e6..000000000
--- a/maps/FuchsiaPokeCenter2FBeta.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-1+
-28(8-)-)
\ No newline at end of file
diff --git a/maps/MahoganyMart1F.blk b/maps/GiftShop.blk
similarity index 100%
rename from maps/MahoganyMart1F.blk
rename to maps/GiftShop.blk
diff --git a/maps/GoldenrodBillsHouse.blk b/maps/GoldenrodBillsHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/GoldenrodBillsHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/GoldenrodDeptStore1F.blk b/maps/GoldenrodDeptStore1F.blk
deleted file mode 100644
index 415c1362f..000000000
--- a/maps/GoldenrodDeptStore1F.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	
-
%
\ No newline at end of file
diff --git a/maps/GoldenrodDeptStore2F.blk b/maps/GoldenrodDeptStore2F.blk
deleted file mode 100644
index ed35c0f5c..000000000
--- a/maps/GoldenrodDeptStore2F.blk
+++ /dev/null
@@ -1 +0,0 @@
-,.-
\ No newline at end of file
diff --git a/maps/GoldenrodDeptStore3F.blk b/maps/GoldenrodDeptStore3F.blk
deleted file mode 100644
index 308940bb0..000000000
--- a/maps/GoldenrodDeptStore3F.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	
-

\ No newline at end of file
diff --git a/maps/GoldenrodDeptStore4F.blk b/maps/GoldenrodDeptStore4F.blk
deleted file mode 100644
index 540dc4c46..000000000
--- a/maps/GoldenrodDeptStore4F.blk
+++ /dev/null
@@ -1 +0,0 @@
-
\ No newline at end of file
diff --git a/maps/GoldenrodDeptStore5F.blk b/maps/GoldenrodDeptStore5F.blk
deleted file mode 100644
index 447ad4de8..000000000
--- a/maps/GoldenrodDeptStore5F.blk
+++ /dev/null
@@ -1 +0,0 @@
-
\ No newline at end of file
diff --git a/maps/GoldenrodDeptStore6F.blk b/maps/GoldenrodDeptStore6F.blk
deleted file mode 100644
index 0d74a4951..000000000
--- a/maps/GoldenrodDeptStore6F.blk
+++ /dev/null
@@ -1 +0,0 @@
-!!/  
\ No newline at end of file
diff --git a/maps/GoldenrodDeptStoreElevator.blk b/maps/GoldenrodDeptStoreElevator.blk
deleted file mode 100644
index 2a0fe5784..000000000
--- a/maps/GoldenrodDeptStoreElevator.blk
+++ /dev/null
@@ -1 +0,0 @@
-&%
\ No newline at end of file
diff --git a/maps/GoldenrodHappinessRater.blk b/maps/GoldenrodHappinessRater.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/GoldenrodHappinessRater.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/GoldenrodNameRatersHouse.blk b/maps/GoldenrodNameRatersHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/GoldenrodNameRatersHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/GoldenrodPPSpeechHouse.blk b/maps/GoldenrodPPSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/GoldenrodPPSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/GoldenrodPokeCenter1F.blk b/maps/GoldenrodPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/GoldenrodPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/GuideGentsHouse.blk b/maps/GuideGentsHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/GuideGentsHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/BillsHouse.blk b/maps/House1.blk
similarity index 100%
rename from maps/BillsHouse.blk
rename to maps/House1.blk
diff --git a/maps/EcruteakItemfinderHouse.blk b/maps/House2.blk
similarity index 100%
rename from maps/EcruteakItemfinderHouse.blk
rename to maps/House2.blk
diff --git a/maps/KrissNeighborsHouse.blk b/maps/KrissNeighborsHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/KrissNeighborsHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/LakeofRageHiddenPowerHouse.blk b/maps/LakeofRageHiddenPowerHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/LakeofRageHiddenPowerHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/LakeofRageMagikarpHouse.blk b/maps/LakeofRageMagikarpHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/LakeofRageMagikarpHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/LavenderMart.blk b/maps/LavenderMart.blk
deleted file mode 100644
index 31e7e807c..000000000
--- a/maps/LavenderMart.blk
+++ /dev/null
@@ -1 +0,0 @@
-'+"++++)(+*+++#
\ No newline at end of file
diff --git a/maps/LavenderNameRater.blk b/maps/LavenderNameRater.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/LavenderNameRater.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/LavenderPokeCenter1F.blk b/maps/LavenderPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/LavenderPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/LavenderPokeCenter2FBeta.blk b/maps/LavenderPokeCenter2FBeta.blk
deleted file mode 100644
index 968f746e6..000000000
--- a/maps/LavenderPokeCenter2FBeta.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-1+
-28(8-)-)
\ No newline at end of file
diff --git a/maps/LavenderTownSpeechHouse.blk b/maps/LavenderTownSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/LavenderTownSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/MahoganyPokeCenter1F.blk b/maps/MahoganyPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/MahoganyPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/MahoganyRedGyaradosSpeechHouse.blk b/maps/MahoganyRedGyaradosSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/MahoganyRedGyaradosSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/ManiasHouse.blk b/maps/ManiasHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/ManiasHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/AzaleaMart.blk b/maps/Mart.blk
similarity index 100%
rename from maps/AzaleaMart.blk
rename to maps/Mart.blk
diff --git a/maps/MountMoonGiftShop.blk b/maps/MountMoonGiftShop.blk
deleted file mode 100644
index f414bee93..000000000
--- a/maps/MountMoonGiftShop.blk
+++ /dev/null
@@ -1 +0,0 @@
- !" 
\ No newline at end of file
diff --git a/maps/MoveDeletersHouse.blk b/maps/MoveDeletersHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/MoveDeletersHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/MrPsychicsHouse.blk b/maps/MrPsychicsHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/MrPsychicsHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/NationalParkBugContest.blk b/maps/NationalParkBugContest.blk
deleted file mode 100644
index 9b41b2c41..000000000
--- a/maps/NationalParkBugContest.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-'+'+'+'+'+	()*45	,-.:8?39;01267

#####'+/<===>
-()*,-.012
\ No newline at end of file
diff --git a/maps/Route19FuchsiaGate.blk b/maps/NorthSouthGate.blk
similarity index 100%
rename from maps/Route19FuchsiaGate.blk
rename to maps/NorthSouthGate.blk
diff --git a/maps/OlivineGoodRodHouse.blk b/maps/OlivineGoodRodHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/OlivineGoodRodHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/OlivineHouseBeta.blk b/maps/OlivineHouseBeta.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/OlivineHouseBeta.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/OlivineMart.blk b/maps/OlivineMart.blk
deleted file mode 100644
index 31e7e807c..000000000
--- a/maps/OlivineMart.blk
+++ /dev/null
@@ -1 +0,0 @@
-'+"++++)(+*+++#
\ No newline at end of file
diff --git a/maps/OlivinePokeCenter1F.blk b/maps/OlivinePokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/OlivinePokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/OlivinePunishmentSpeechHouse.blk b/maps/OlivinePunishmentSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/OlivinePunishmentSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/OlivineVoltorbHouse.blk b/maps/OlivineVoltorbHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/OlivineVoltorbHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/PewterMart.blk b/maps/PewterMart.blk
deleted file mode 100644
index 31e7e807c..000000000
--- a/maps/PewterMart.blk
+++ /dev/null
@@ -1 +0,0 @@
-'+"++++)(+*+++#
\ No newline at end of file
diff --git a/maps/PewterNidoranSpeechHouse.blk b/maps/PewterNidoranSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/PewterNidoranSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/PewterPokeCEnter2FBeta.blk b/maps/PewterPokeCEnter2FBeta.blk
deleted file mode 100644
index 968f746e6..000000000
--- a/maps/PewterPokeCEnter2FBeta.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-1+
-28(8-)-)
\ No newline at end of file
diff --git a/maps/PewterPokeCenter1F.blk b/maps/PewterPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/PewterPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/PewterSnoozeSpeechHouse.blk b/maps/PewterSnoozeSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/PewterSnoozeSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/AzaleaPokeCenter1F.blk b/maps/PokeCenter1F.blk
similarity index 100%
rename from maps/AzaleaPokeCenter1F.blk
rename to maps/PokeCenter1F.blk
diff --git a/maps/PokeSeersHouse.blk b/maps/PokeSeersHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/PokeSeersHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/OlivinePortPassage.blk b/maps/PortPassage.blk
similarity index 100%
rename from maps/OlivinePortPassage.blk
rename to maps/PortPassage.blk
diff --git a/maps/Route10.blk b/maps/Route10.blk
deleted file mode 100644
index 21d6dbfd1..000000000
--- a/maps/Route10.blk
+++ /dev/null
@@ -1,6 +0,0 @@
-,)UUU|rMe(,)
-
-
-
-
-Me(,,?????;e(+ TTT!,)e()|}}}~$%e(){y{e().(,????????,,,,,,,,,,,
\ No newline at end of file
diff --git a/maps/Route10A.blk b/maps/Route10A.blk
deleted file mode 100644
index 21d6dbfd1..000000000
--- a/maps/Route10A.blk
+++ /dev/null
@@ -1,6 +0,0 @@
-,)UUU|rMe(,)
-
-
-
-
-Me(,,?????;e(+ TTT!,)e()|}}}~$%e(){y{e().(,????????,,,,,,,,,,,
\ No newline at end of file
diff --git a/maps/Route10B.blk b/maps/Route10B.blk
deleted file mode 100644
index 73ab61192..000000000
--- a/maps/Route10B.blk
+++ /dev/null
@@ -1 +0,0 @@
-+WWWWWWW*)1111111()1111>;\()>??,)11(){$WWW%\(){{{{{{{{(,??;{{ T!(,,+%\ahi(,,){11hi,
\ No newline at end of file
diff --git a/maps/Route10PokeCenter1F.blk b/maps/Route10PokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/Route10PokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/Route10PokeCenter2FBeta.blk b/maps/Route10PokeCenter2FBeta.blk
deleted file mode 100644
index 968f746e6..000000000
--- a/maps/Route10PokeCenter2FBeta.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-1+
-28(8-)-)
\ No newline at end of file
diff --git a/maps/Route12SuperRodHouse.blk b/maps/Route12SuperRodHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/Route12SuperRodHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/Route15FuchsiaGate.blk b/maps/Route15FuchsiaGate.blk
deleted file mode 100644
index 9a2cb756e..000000000
--- a/maps/Route15FuchsiaGate.blk
+++ /dev/null
@@ -1 +0,0 @@
-99?#$>
\ No newline at end of file
diff --git a/maps/Route16FuchsiaSpeechHouse.blk b/maps/Route16FuchsiaSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/Route16FuchsiaSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/Route16Gate.blk b/maps/Route16Gate.blk
deleted file mode 100644
index 9a2cb756e..000000000
--- a/maps/Route16Gate.blk
+++ /dev/null
@@ -1 +0,0 @@
-99?#$>
\ No newline at end of file
diff --git a/maps/Route1718Gate.blk b/maps/Route1718Gate.blk
deleted file mode 100644
index 9a2cb756e..000000000
--- a/maps/Route1718Gate.blk
+++ /dev/null
@@ -1 +0,0 @@
-99?#$>
\ No newline at end of file
diff --git a/maps/Route26DayofWeekSiblingsHouse.blk b/maps/Route26DayofWeekSiblingsHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/Route26DayofWeekSiblingsHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/Route26HealSpeechHouse.blk b/maps/Route26HealSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/Route26HealSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/Route27SandstormHouse.blk b/maps/Route27SandstormHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/Route27SandstormHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/Route28FamousSpeechHouse.blk b/maps/Route28FamousSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/Route28FamousSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/Route2946Gate.blk b/maps/Route2946Gate.blk
deleted file mode 100644
index d4e3831c0..000000000
--- a/maps/Route2946Gate.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	

-
\ No newline at end of file
diff --git a/maps/Route2Gate.blk b/maps/Route2Gate.blk
deleted file mode 100644
index d4e3831c0..000000000
--- a/maps/Route2Gate.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	

-
\ No newline at end of file
diff --git a/maps/Route2NuggetSpeechHouse.blk b/maps/Route2NuggetSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/Route2NuggetSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/Route30BerrySpeechHouse.blk b/maps/Route30BerrySpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/Route30BerrySpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/Route31VioletGate.blk b/maps/Route31VioletGate.blk
deleted file mode 100644
index 9a2cb756e..000000000
--- a/maps/Route31VioletGate.blk
+++ /dev/null
@@ -1 +0,0 @@
-99?#$>
\ No newline at end of file
diff --git a/maps/Route32PokeCenter1F.blk b/maps/Route32PokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/Route32PokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/Route32RuinsofAlphGate.blk b/maps/Route32RuinsofAlphGate.blk
deleted file mode 100644
index 9a2cb756e..000000000
--- a/maps/Route32RuinsofAlphGate.blk
+++ /dev/null
@@ -1 +0,0 @@
-99?#$>
\ No newline at end of file
diff --git a/maps/Route34IlexForestGate.blk b/maps/Route34IlexForestGate.blk
deleted file mode 100644
index d4e3831c0..000000000
--- a/maps/Route34IlexForestGate.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	

-
\ No newline at end of file
diff --git a/maps/Route35Goldenrodgate.blk b/maps/Route35Goldenrodgate.blk
deleted file mode 100644
index d4e3831c0..000000000
--- a/maps/Route35Goldenrodgate.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	

-
\ No newline at end of file
diff --git a/maps/Route36RuinsofAlphgate.blk b/maps/Route36RuinsofAlphgate.blk
deleted file mode 100644
index d4e3831c0..000000000
--- a/maps/Route36RuinsofAlphgate.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	

-
\ No newline at end of file
diff --git a/maps/Route38EcruteakGate.blk b/maps/Route38EcruteakGate.blk
deleted file mode 100644
index 9a2cb756e..000000000
--- a/maps/Route38EcruteakGate.blk
+++ /dev/null
@@ -1 +0,0 @@
-99?#$>
\ No newline at end of file
diff --git a/maps/Route39Farmhouse.blk b/maps/Route39Farmhouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/Route39Farmhouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/Route40BattleTowerGate.blk b/maps/Route40BattleTowerGate.blk
deleted file mode 100644
index d4e3831c0..000000000
--- a/maps/Route40BattleTowerGate.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	

-
\ No newline at end of file
diff --git a/maps/Route42EcruteakGate.blk b/maps/Route42EcruteakGate.blk
deleted file mode 100644
index 9a2cb756e..000000000
--- a/maps/Route42EcruteakGate.blk
+++ /dev/null
@@ -1 +0,0 @@
-99?#$>
\ No newline at end of file
diff --git a/maps/Route43Gate.blk b/maps/Route43Gate.blk
deleted file mode 100644
index d4e3831c0..000000000
--- a/maps/Route43Gate.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	

-
\ No newline at end of file
diff --git a/maps/Route43MahoganyGate.blk b/maps/Route43MahoganyGate.blk
deleted file mode 100644
index d4e3831c0..000000000
--- a/maps/Route43MahoganyGate.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	

-
\ No newline at end of file
diff --git a/maps/Route5CleanseTagSpeechHouse.blk b/maps/Route5CleanseTagSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/Route5CleanseTagSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/Route5SaffronCityGate.blk b/maps/Route5SaffronCityGate.blk
deleted file mode 100644
index d4e3831c0..000000000
--- a/maps/Route5SaffronCityGate.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	

-
\ No newline at end of file
diff --git a/maps/Route6SaffronGate.blk b/maps/Route6SaffronGate.blk
deleted file mode 100644
index d4e3831c0..000000000
--- a/maps/Route6SaffronGate.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	

-
\ No newline at end of file
diff --git a/maps/Route6UndergroundEntrance.blk b/maps/Route6UndergroundEntrance.blk
deleted file mode 100644
index 92909debe..000000000
--- a/maps/Route6UndergroundEntrance.blk
+++ /dev/null
@@ -1 +0,0 @@
-4;+<0
%&
\ No newline at end of file
diff --git a/maps/Route7SaffronGate.blk b/maps/Route7SaffronGate.blk
deleted file mode 100644
index 9a2cb756e..000000000
--- a/maps/Route7SaffronGate.blk
+++ /dev/null
@@ -1 +0,0 @@
-99?#$>
\ No newline at end of file
diff --git a/maps/Route8SaffronGate.blk b/maps/Route8SaffronGate.blk
deleted file mode 100644
index 9a2cb756e..000000000
--- a/maps/Route8SaffronGate.blk
+++ /dev/null
@@ -1 +0,0 @@
-99?#$>
\ No newline at end of file
diff --git a/maps/RuinsofAlphHoOhChamber.blk b/maps/RuinsofAlphHoOhChamber.blk
deleted file mode 100644
index 6560787d3..000000000
--- a/maps/RuinsofAlphHoOhChamber.blk
+++ /dev/null
@@ -1 +0,0 @@
--0

,+
\ No newline at end of file
diff --git a/maps/RuinsofAlphHoOhItemRoom.blk b/maps/RuinsofAlphHoOhItemRoom.blk
deleted file mode 100644
index 54b53285d..000000000
--- a/maps/RuinsofAlphHoOhItemRoom.blk
+++ /dev/null
@@ -1 +0,0 @@
-451212,+
\ No newline at end of file
diff --git a/maps/RuinsofAlphAerodactylItemRoom.blk b/maps/RuinsofAlphItemRoom.blk
similarity index 100%
rename from maps/RuinsofAlphAerodactylItemRoom.blk
rename to maps/RuinsofAlphItemRoom.blk
diff --git a/maps/RuinsofAlphKabutoChamber.blk b/maps/RuinsofAlphKabutoChamber.blk
deleted file mode 100644
index 6560787d3..000000000
--- a/maps/RuinsofAlphKabutoChamber.blk
+++ /dev/null
@@ -1 +0,0 @@
--0

,+
\ No newline at end of file
diff --git a/maps/RuinsofAlphKabutoItemRoom.blk b/maps/RuinsofAlphKabutoItemRoom.blk
deleted file mode 100644
index 54b53285d..000000000
--- a/maps/RuinsofAlphKabutoItemRoom.blk
+++ /dev/null
@@ -1 +0,0 @@
-451212,+
\ No newline at end of file
diff --git a/maps/RuinsofAlphOmanyteChamber.blk b/maps/RuinsofAlphOmanyteChamber.blk
deleted file mode 100644
index 6560787d3..000000000
--- a/maps/RuinsofAlphOmanyteChamber.blk
+++ /dev/null
@@ -1 +0,0 @@
--0

,+
\ No newline at end of file
diff --git a/maps/RuinsofAlphOmanyteItemRoom.blk b/maps/RuinsofAlphOmanyteItemRoom.blk
deleted file mode 100644
index 54b53285d..000000000
--- a/maps/RuinsofAlphOmanyteItemRoom.blk
+++ /dev/null
@@ -1 +0,0 @@
-451212,+
\ No newline at end of file
diff --git a/maps/RuinsofAlphAerodactylChamber.blk b/maps/RuinsofAlphPuzzleChamber.blk
similarity index 100%
rename from maps/RuinsofAlphAerodactylChamber.blk
rename to maps/RuinsofAlphPuzzleChamber.blk
diff --git a/maps/SafariZoneFuchsiaGateBeta.blk b/maps/SafariZoneFuchsiaGateBeta.blk
deleted file mode 100644
index d4e3831c0..000000000
--- a/maps/SafariZoneFuchsiaGateBeta.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-	

-
\ No newline at end of file
diff --git a/maps/SafariZoneMainOffice.blk b/maps/SafariZoneMainOffice.blk
deleted file mode 100644
index e0fc631c8..000000000
--- a/maps/SafariZoneMainOffice.blk
+++ /dev/null
@@ -1 +0,0 @@
-**
\ No newline at end of file
diff --git a/maps/SafariZoneWardensHome.blk b/maps/SafariZoneWardensHome.blk
deleted file mode 100644
index 85cc8fcd2..000000000
--- a/maps/SafariZoneWardensHome.blk
+++ /dev/null
@@ -1 +0,0 @@
-))!"# $01
\ No newline at end of file
diff --git a/maps/SaffronMart.blk b/maps/SaffronMart.blk
deleted file mode 100644
index 31e7e807c..000000000
--- a/maps/SaffronMart.blk
+++ /dev/null
@@ -1 +0,0 @@
-'+"++++)(+*+++#
\ No newline at end of file
diff --git a/maps/SaffronPokeCenter1F.blk b/maps/SaffronPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/SaffronPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/SaffronPokeCenter2FBeta.blk b/maps/SaffronPokeCenter2FBeta.blk
deleted file mode 100644
index 968f746e6..000000000
--- a/maps/SaffronPokeCenter2FBeta.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-1+
-28(8-)-)
\ No newline at end of file
diff --git a/maps/SilverCavePokeCenter1F.blk b/maps/SilverCavePokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/SilverCavePokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/TimeCapsule.blk b/maps/TimeCapsule.blk
deleted file mode 100644
index 29df834e1..000000000
--- a/maps/TimeCapsule.blk
+++ /dev/null
@@ -1 +0,0 @@
-"! 
\ No newline at end of file
diff --git a/maps/Route5UndergroundEntrance.blk b/maps/UndergroundPathEntrance.blk
similarity index 100%
rename from maps/Route5UndergroundEntrance.blk
rename to maps/UndergroundPathEntrance.blk
diff --git a/maps/VermilionHouseDiglettsCaveSpeechHouse.blk b/maps/VermilionHouseDiglettsCaveSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/VermilionHouseDiglettsCaveSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/VermilionHouseFishingSpeechHouse.blk b/maps/VermilionHouseFishingSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/VermilionHouseFishingSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/VermilionMagnetTrainSpeechHouse.blk b/maps/VermilionMagnetTrainSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/VermilionMagnetTrainSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/VermilionMart.blk b/maps/VermilionMart.blk
deleted file mode 100644
index 31e7e807c..000000000
--- a/maps/VermilionMart.blk
+++ /dev/null
@@ -1 +0,0 @@
-'+"++++)(+*+++#
\ No newline at end of file
diff --git a/maps/VermilionPokeCenter1F.blk b/maps/VermilionPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/VermilionPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/VermilionPokeCenter2FBeta.blk b/maps/VermilionPokeCenter2FBeta.blk
deleted file mode 100644
index 968f746e6..000000000
--- a/maps/VermilionPokeCenter2FBeta.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-1+
-28(8-)-)
\ No newline at end of file
diff --git a/maps/VermilionPortPassage.blk b/maps/VermilionPortPassage.blk
deleted file mode 100644
index 25a1837a9..000000000
--- a/maps/VermilionPortPassage.blk
+++ /dev/null
@@ -1,3 +0,0 @@
-	
-%&
-*)


,//-


,/-
\ No newline at end of file
diff --git a/maps/VioletMart.blk b/maps/VioletMart.blk
deleted file mode 100644
index 31e7e807c..000000000
--- a/maps/VioletMart.blk
+++ /dev/null
@@ -1 +0,0 @@
-'+"++++)(+*+++#
\ No newline at end of file
diff --git a/maps/VioletNicknameSpeechHouse.blk b/maps/VioletNicknameSpeechHouse.blk
deleted file mode 100644
index 217cc86c0..000000000
--- a/maps/VioletNicknameSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-)*
\ No newline at end of file
diff --git a/maps/VioletOnixTradeHouse.blk b/maps/VioletOnixTradeHouse.blk
deleted file mode 100644
index 217cc86c0..000000000
--- a/maps/VioletOnixTradeHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-)*
\ No newline at end of file
diff --git a/maps/VioletPokeCenter1F.blk b/maps/VioletPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/VioletPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/ViridianMart.blk b/maps/ViridianMart.blk
deleted file mode 100644
index 31e7e807c..000000000
--- a/maps/ViridianMart.blk
+++ /dev/null
@@ -1 +0,0 @@
-'+"++++)(+*+++#
\ No newline at end of file
diff --git a/maps/ViridianNicknameSpeechHouse.blk b/maps/ViridianNicknameSpeechHouse.blk
deleted file mode 100644
index 3f4c1dbb1..000000000
--- a/maps/ViridianNicknameSpeechHouse.blk
+++ /dev/null
@@ -1 +0,0 @@
-

\ No newline at end of file
diff --git a/maps/ViridianPokeCenter1F.blk b/maps/ViridianPokeCenter1F.blk
deleted file mode 100644
index 6d4f1eca9..000000000
--- a/maps/ViridianPokeCenter1F.blk
+++ /dev/null
@@ -1 +0,0 @@
-./'./
\ No newline at end of file
diff --git a/maps/ViridianPokeCenter2FBeta.blk b/maps/ViridianPokeCenter2FBeta.blk
deleted file mode 100644
index 968f746e6..000000000
--- a/maps/ViridianPokeCenter2FBeta.blk
+++ /dev/null
@@ -1,2 +0,0 @@
-1+
-28(8-)-)
\ No newline at end of file
diff --git a/maps/blockdata_1.asm b/maps/blockdata_1.asm
index 0595a5ca6..02930aec0 100644
--- a/maps/blockdata_1.asm
+++ b/maps/blockdata_1.asm
@@ -52,6 +52,7 @@ BetaBlackthornCity_BlockData:
 Route10South_BlockData:
 	INCBIN "maps/Route10South.blk"
 
+PokeCenter2F_BlockData:
 CinnabarPokeCenter2FBeta_BlockData:
 CeruleanPokeCenter2FBeta_BlockData:
 Route10PokeCenter2FBeta_BlockData:
@@ -59,11 +60,10 @@ VermilionPokeCenter2FBeta_BlockData:
 PewterPokeCEnter2FBeta_BlockData:
 FuchsiaPokeCenter2FBeta_BlockData:
 LavenderPokeCenter2FBeta_BlockData:
-PokeCenter2F_BlockData:
 CeladonPokeCenter2FBeta_BlockData:
 ViridianPokeCenter2FBeta_BlockData:
 SaffronPokeCenter2FBeta_BlockData:
-	INCBIN "maps/CinnabarPokeCenter2FBeta.blk"
+	INCBIN "maps/PokeCenter2F.blk"
 
 Route41_BlockData:
 	INCBIN "maps/Route41.blk"
@@ -196,7 +196,7 @@ CherrygroveGymSpeechHouse_BlockData:
 GuideGentsHouse_BlockData:
 CherrygroveEvolutionSpeechHouse_BlockData:
 Route30BerrySpeechHouse_BlockData:
-	INCBIN "maps/OlivineVoltorbHouse.blk"
+	INCBIN "maps/House1.blk"
 
 SafariZoneFuchsiaGateBeta_BlockData:
 Route19FuchsiaGate_BlockData:
@@ -210,7 +210,7 @@ Route40BattleTowerGate_BlockData:
 Route2Gate_BlockData:
 Route2946Gate_BlockData:
 Route5SaffronCityGate_BlockData:
-	INCBIN "maps/SafariZoneFuchsiaGateBeta.blk"
+	INCBIN "maps/NorthSouthGate.blk"
 
 BetaTeakCity_BlockData:
 	INCBIN "maps/BetaTeakCity.blk"
@@ -276,7 +276,7 @@ Route16Gate_BlockData:
 Route7SaffronGate_BlockData:
 Route1718Gate_BlockData:
 Route31VioletGate_BlockData:
-	INCBIN "maps/Route38EcruteakGate.blk"
+	INCBIN "maps/EastWestGate.blk"
 
 BetaAzaleaTown_BlockData:
 	INCBIN "maps/BetaAzaleaTown.blk"
diff --git a/maps/blockdata_2.asm b/maps/blockdata_2.asm
index ab1c62851..a5e567e9f 100644
--- a/maps/blockdata_2.asm
+++ b/maps/blockdata_2.asm
@@ -17,7 +17,7 @@ LavenderMart_BlockData:
 ViridianMart_BlockData:
 SaffronMart_BlockData:
 CherrygroveMart_BlockData:
-	INCBIN "maps/OlivineMart.blk"
+	INCBIN "maps/Mart.blk"
 
 Route10North_BlockData:
 	INCBIN "maps/Route10North.blk"
@@ -46,7 +46,7 @@ CianwoodPokeCenter1F_BlockData:
 ViridianPokeCenter1F_BlockData:
 SaffronPokeCenter1F_BlockData:
 CherrygrovePokeCenter1F_BlockData:
-	INCBIN "maps/OlivinePokeCenter1F.blk"
+	INCBIN "maps/PokeCenter1F.blk"
 
 BetaPewterMuseumOfScience1F_BlockData:
 	INCBIN "maps/BetaPewterMuseumOfScience1F.blk"
@@ -71,31 +71,31 @@ BetaCinnabarIslandPokemonLabRoom3_BlockData:
 
 GoldenrodDeptStore1F_BlockData:
 CeladonDeptStore1F_BlockData:
-	INCBIN "maps/GoldenrodDeptStore1F.blk"
+	INCBIN "maps/DeptStore1F.blk"
 
 GoldenrodDeptStore2F_BlockData:
 CeladonDeptStore2F_BlockData:
-	INCBIN "maps/GoldenrodDeptStore2F.blk"
+	INCBIN "maps/DeptStore2F.blk"
 
 GoldenrodDeptStore3F_BlockData:
 CeladonDeptStore3F_BlockData:
-	INCBIN "maps/GoldenrodDeptStore3F.blk"
+	INCBIN "maps/DeptStore3F.blk"
 
 GoldenrodDeptStore4F_BlockData:
 CeladonDeptStore4F_BlockData:
-	INCBIN "maps/GoldenrodDeptStore4F.blk"
+	INCBIN "maps/DeptStore4F.blk"
 
 GoldenrodDeptStore5F_BlockData:
 CeladonDeptStore5F_BlockData:
-	INCBIN "maps/GoldenrodDeptStore5F.blk"
+	INCBIN "maps/DeptStore5F.blk"
 
 GoldenrodDeptStore6F_BlockData:
 CeladonDeptStore6F_BlockData:
-	INCBIN "maps/GoldenrodDeptStore6F.blk"
+	INCBIN "maps/DeptStore6F.blk"
 
 GoldenrodDeptStoreElevator_BlockData:
 CeladonDeptStoreElevator_BlockData:
-	INCBIN "maps/GoldenrodDeptStoreElevator.blk"
+	INCBIN "maps/DeptStoreElevator.blk"
 
 CeladonMansion1F_BlockData:
 	INCBIN "maps/CeladonMansion1F.blk"
@@ -129,7 +129,7 @@ EcruteakLugiaSpeechHouse_BlockData:
 EcruteakItemfinderHouse_BlockData:
 VioletNicknameSpeechHouse_BlockData:
 VioletOnixTradeHouse_BlockData:
-	INCBIN "maps/EcruteakLugiaSpeechHouse.blk"
+	INCBIN "maps/House2.blk"
 
 BetaCave_BlockData:
 	INCBIN "maps/BetaCave.blk"
@@ -149,7 +149,7 @@ NationalParkBugContest_BlockData:
 
 Route6UndergroundEntrance_BlockData:
 Route5UndergroundEntrance_BlockData:
-	INCBIN "maps/Route6UndergroundEntrance.blk"
+	INCBIN "maps/UndergroundPathEntrance.blk"
 
 BetaPokecenterTradeStation_BlockData:
 	INCBIN "maps/BetaPokecenterTradeStation.blk"
@@ -173,7 +173,7 @@ RuinsofAlphHoOhChamber_BlockData:
 RuinsofAlphKabutoChamber_BlockData:
 RuinsofAlphOmanyteChamber_BlockData:
 RuinsofAlphAerodactylChamber_BlockData:
-	INCBIN "maps/RuinsofAlphHoOhChamber.blk"
+	INCBIN "maps/RuinsofAlphPuzzleChamber.blk"
 
 SproutTower1F_BlockData:
 	INCBIN "maps/SproutTower1F.blk"
@@ -384,7 +384,7 @@ BetaRocketHideout3_BlockData:
 
 MahoganyMart1F_BlockData:
 MountMoonGiftShop_BlockData:
-	INCBIN "maps/MahoganyMart1F.blk"
+	INCBIN "maps/GiftShop.blk"
 
 TeamRocketBaseB1F_BlockData:
 	INCBIN "maps/TeamRocketBaseB1F.blk"
diff --git a/maps/blockdata_3.asm b/maps/blockdata_3.asm
index d9297c07b..9a64caf5c 100644
--- a/maps/blockdata_3.asm
+++ b/maps/blockdata_3.asm
@@ -164,7 +164,7 @@ VictoryRoadGate_BlockData:
 
 OlivinePortPassage_BlockData:
 VermilionPortPassage_BlockData:
-	INCBIN "maps/OlivinePortPassage.blk"
+	INCBIN "maps/PortPassage.blk"
 
 FuchsiaGym_BlockData:
 	INCBIN "maps/FuchsiaGym.blk"
@@ -218,7 +218,7 @@ RuinsofAlphHoOhItemRoom_BlockData:
 RuinsofAlphKabutoItemRoom_BlockData:
 RuinsofAlphOmanyteItemRoom_BlockData:
 RuinsofAlphAerodactylItemRoom_BlockData:
-	INCBIN "maps/RuinsofAlphHoOhItemRoom.blk"
+	INCBIN "maps/RuinsofAlphItemRoom.blk"
 
 RuinsofAlphHoOhWordRoom_BlockData:
 	INCBIN "maps/RuinsofAlphHoOhWordRoom.blk"
